
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>清除网页历史记录，屏蔽后退按钮!_javascript技巧 / iVAN</title>

    <meta name="description" content="清除网页历史记录，屏蔽后退按钮!_javascript技巧 本文介绍网络上可找到的各种禁用浏览器后退按钮方案,分析它们各自的优缺点和适 用场合.一.概述 曾经有许多人问起,&quot;怎样才能'禁用'浏览器的后退按钮?&quot;,或者&quot;怎样才能防止用户点击后退按钮返回以前浏 览过的页面?&quot;在ASP论坛上,这个问题也是问得最多的问题之一.遗憾的是,答案非常简单:我们无法禁用浏览器的后退 按钮. 起先我对于居然有人想要禁用浏览器的后退按钮感到不可思议.后来,看到竟然有那么多的人想要禁用这个后退按 钮,我也就释然(想要禁用的只有后退按钮, ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">清除网页历史记录，屏蔽后退按钮!_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文介绍网络上可找到的各种禁用浏览器后退按钮方案，分析它们各自的优缺点和适 <br />用场合。<br />一、概述 <br />　　 曾经有许多人问起，“怎样才能‘禁用'浏览器的后退按钮？”，或者“怎样才能防止用户点击后退按钮返回以前浏 <br />览过的页面？”在ASP论坛上，这个问题也是问得最多的问题之一。遗憾的是，答案非常简单：我们无法禁用浏览器的后退 <br />按钮。 <br />　　 起先我对于居然有人想要禁用浏览器的后退按钮感到不可思议。后来，看到竟然有那么多的人想要禁用这个后退按 <br />钮，我也就释然（想要禁用的只有后退按钮，不包括浏览器的前进按钮）。因为在默认情况下，用户提交表单之后可以通 <br />过后退按钮返回表单页面（而不是使用“编辑”按钮！），然后再次编辑并提交表单向数据库插入新的记录。这是我们不 <br />愿看到的。 <br />　　 因此我就决定要找出避免出现这种情况的方法。我访问了许多网站，参考了这些网站所介绍的各种实现方法。如果你 <br />经常访问ASP编程网站，本文所介绍的部分内容你可能已经见到过。本文的任务是把各种可能的方法都介绍给大家，然后找 <br />出最好的方法！ <br />二、禁止缓存 <br />　　 在我找到的许多方案中，其中有一种建议禁止页面缓存。具体是使用服务器端脚本，如下所示：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;% <br />Response.Buffer = True <br />Response.ExpiresAbsolute = Now() - 1 <br />Response.Expires = 0 <br />Response.CacheControl = "no-cache" <br />%&gt;</p>
<p>　　 这种方法非常有效！它强制浏览器重新访问服务器下载页面，而不是从缓存读取页面。使用这种方法时，编程者的主 <br />要任务是创建一个会话级的变量，通过这个变量确定用户是否仍旧可以查看那个不适合通过后退按钮访问的页面。由于浏 <br />览器不再缓存这个页面，当用户点击后退按钮时浏览器将重新下载该页面，此时程序就可以检查那个会话变量，看看是否 <br />应该允许用户打开这个页面。 <br />　　 例如，假设我们有如下表单： </p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;% <br />Response.Buffer = True <br />Response.ExpiresAbsolute = Now() - 1 <br />Response.Expires = 0 <br />Response.CacheControl = "no-cache" <br />If Len(Session("FirstTimeToPage")) &gt; 0 then <br />&amp;single; 用户已经访问过当前页面，现在是再次返回访问。 <br />&amp;single; 清除会话变量，将用户重定向到登录页面。 <br />Session("FirstTimeToPage") = "" <br />Response.Redirect "/Bar.asp" <br />Response.End <br />End If <br />&amp;single; 如果程序运行到这里，说明用户能够查看当前页面 <br />&amp;single; 以下开始创建表单 <br />%&gt; <br />&lt;form method=post action="SomePage.asp"&gt; <br />&lt;input type=submit&gt; <br />&lt;/form&gt;</p>
<p>　　 我们借助会话变量FirstTimeToPage检查用户是否是第一次访问当前页面。如果不是第一次（即Session <br />("FirstTimeToPage")包含某个值），那么我们就清除会话变量的值，然后把用户重新定向到一个开始页面。这样，当表单 <br />提交时（此时SompePage.asp被打开），我们必须赋予FirstTimeToPage一个值。即，在SomePage.asp中我们需要加上下面 <br />的代码： <br />Session("FirstTimeToPage") = "NO" <br />　　 这样，已经打开SomePage.asp的用户如果点击后退按钮，浏览器将重新请求服务器下载页面，服务器检查到Session <br />("FirstTimeToPage")包含了一个值，于是就清除Session("FirstTimeToPage")，并把用户重定向到其他页面。当然，所有 <br />这一切都需要用户启用了Cookie，否则会话变量将是无效的。（有关该问题的更多说明，请参见For session variables <br />to work, must the Web visitor have cookies enabled?） <br />　　 另外，我们也可以用客户端代码使浏览器不再缓存Web页面：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;html&gt; <br />&lt;head&gt; <br />&lt;meta http-equiv="Expires" CONTENT="0"&gt; <br />&lt;meta http-equiv="Cache-Control" CONTENT="no-cache"&gt; <br />&lt;meta http-equiv="Pragma" CONTENT="no-cache"&gt; <br />&lt;/head&gt;</p>
<p>　　 如果使用上面的方法强制浏览器不再缓存Web页面，必须注意以下几点： <br />只有在使用安全连接时“Pragma: no-cache”才防止浏览器缓存页面。对于不受安全保护的页面，“Pragma: no-cache” <br />被视为与“Expires: -1”相同，此时浏览器仍旧缓存页面，但把页面标记为立即过期。 <br />在IE 4或5中，“Cache-Control”META HTTP-EQUIV标记将被忽略，不起作用。 <br />　　 在实际应用中我们可以加上所有这些代码。然而，由于这种方法不能适用于所有的浏览器，所以是不推荐使用的。但 <br />如果是在Intranet环境下，管理员可以控制用户使用哪种浏览器，我想还是有人会使用这种方法。 <br /><strong>三、其他方法 <br /></strong>　　 接下来我们要讨论的方法以后退按钮本身为中心，而不是浏览器缓存。这儿有一篇文章Rewiring the Back Button很 <br />值得参考。不过我注意到，如果使用这种方法，虽然用户点击一下后退按钮时他不会看到以前输入数据的页面，但只要点 <br />击两次就可以，这可不是我们希望的效果，因为很多时候，固执的用户总是能够找到绕过预防措施的办法。 <br />　　 另外一种禁用后退按钮的办法是用客户端JavaScript打开一个没有工具条的窗口，这使得用户很难返回前一页面，但 <br />不是不可能。一种更安全但相当恼人的方法是，当表单提交时打开一个新的窗口，与此同时关闭表单所在的窗口。但我觉 <br />得这种方法不值得认真考虑，因为我们总不能让用户每提交一个表单就打开一个新窗口。 <br />　　 那么，在那个我们不想让用户返回的页面是否也可以加入JavaScript代码呢？在这个页面中加入的JavaScript代码可 <br />用来产生点击前进按钮的效果，这样也就抵消了用户点击后退按钮所产生的动作。用于实现该功能的JavaScript代码如下 <br />所示：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;script language="JavaScript"&gt; <br />&lt;!-- <br />javascript:window.history.forward(1); <br />//--&gt; <br />&lt;/script&gt;</p>
<p>　　 同样地，这种方法虽然有效，但距离“最好的方法”还差得很远。后来我又看到有人建议用location.replace从一个 <br />页面转到另一个页面。这种方法的原理是，用新页面的URL替换当前的历史纪录，这样浏览历史记录中就只有一个页面，后 <br />退按钮永远不会变为可用。我想这可能正是许多人所寻求的方法，但这种方法仍旧不是任何情况下的最好方法。使用这种 <br />方法的实例如下所示： <br />&lt;A HREF="PageName.htm" onclick="javascript:location.replace(this.href); <br />event.returnValue=false; "&gt; <br />禁止后退到本页面的链接&lt;/A&gt; <br />　　 试试下面这个链接： <br />　　 禁止后退到本页面的链接！ <br />　　 这种方法的缺点在于：简单地运用Response.Redirect将不再有效，这是因为每次用户从一个页面转到另一个页面， <br />我们都必须用客户端代码清除location.history。另外还要注意，这种方法清除的是最后一个访问历史记录，而不是全部 <br />的访问记录。 <br />　　 点击上面的链接，你将打开一个简单的HTML页面。再点击后退按钮，你可以看到这时打开的不是本页面，而是本页面 <br />之前的页面！（当然，你必须在浏览器中启用了客户端JavaScript代码。） <br />　　 经过一番仔细的寻寻觅觅之后，我发现仍旧无法找出真正能够完全禁用浏览器后退按钮的办法。所有这里介绍的方法 <br />都能够在不同程度上、以不同的方式禁止用户返回前一页面，但它们都有各自的局限。由于不存在能够完全禁用后退按钮 <br />的方法，所以最好的方案应该是：混合运用客户端脚本和服务器端脚本。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 23:03:16</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%bd%91%e9%a1%b5/" title="网页">网页</a>, <a href="https://www.iamivan.net/tag/%e5%8e%86%e5%8f%b2%e8%ae%b0%e5%bd%95/" title="历史记录">历史记录</a>, <a href="https://www.iamivan.net/tag/%e5%b1%8f%e8%94%bd%e5%90%8e%e9%80%80/" title="屏蔽后退">屏蔽后退</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>清除网页历史记录，屏蔽后退按钮!_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7xKjz.html" rel="bookmark">javascript怎么禁用浏览器后退按钮&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 复制代码 代码如下: &lt;script language=&quot;JavaScript&quot;&gt; javascript:window.history.forward(1); &lt;/script&gt; 利用JS产生一个&quot;前进&quot;的动作,以抵消后退功能,这种方法应该是最简洁的,并且不需要考虑用户连点两次或多次&quot;后退&quot;的情况,缺点是当用户端禁用了JavaScript之后即失效. 2. 复制代码 代码如下: &lt;A HREF=&quot;lo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDZ5BM.html" rel="bookmark">清除网页历史记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				历史记录|网页 浏览器的后退按钮使得我们能够方便地返回以前访问过的页面,它无疑非常有用.但有时候我们不得不关闭这个功能,以防止用户打乱预定的页面访问次序.本文介绍网络上可找到的各种禁用浏览器后退按钮方案,分析它们各自的优缺点和适用场合. 一.概述 曾经有许多人问起,&quot;怎样才能'禁用'浏览器的后退按钮?&quot;,或者&quot;怎样才能防止用户点击后退按钮返回以前浏览过的页面?&quot;在ASP论坛上,这个问题也是问得最多的问题之一.遗憾的是,答案非常简单:我们无法禁用浏览器的后退按钮. 起			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr3X2mp.html" rel="bookmark">XP系统如何清除网页历史记录</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  XP系统如何清除网页历史记录          一.清除历史浏览记录步骤(IE浏览器): 1.打开IE浏览器,选择菜单栏&quot;工具&quot;选项. 2.然后打开&quot;工具&quot;的弹出菜单,执行&quot;删除浏览的历史记录&quot;,这样就把历史浏览记录给删除掉了.这只是一次性删除,以后每次上网后都要这样删除一次,很麻烦,能有自动删除的方法吗?当然有,请往下看. 3.如果不想每次手动去清除历史记录,可以进行设置,让浏览器每次退出时自动清除历史记录. 在&quot;工具&quot;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NRmjz.html" rel="bookmark">JavaScript不刷新实现浏览器的前进后退功能&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在学习backbone,学习理解backbone就要先理解spa,理解spa就要先了解单页面应用是如何做到页面不刷新改变url的. 相较于不同页面的跳转,AJAX可以说大大提高了用户的浏览体验,不用看到页面切换之间的白屏是件很惬意的事情.但是很多早先的AJAX应用是不支持浏览器的前进后退的,这导致了用户不管在网站里浏览到何处,一旦刷新就会立刻回到起初的位置,并且用户也无法通过浏览器的前进后退按钮来实现浏览历史的切换. 对于第一个问题,解决还算容易,只要用cookie或者localStorag			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7WOrXz.html" rel="bookmark">各类常见语言清除网页缓存方法汇总&lowbar;相关技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例汇总了各类常见语言清除网页缓存方法.分享给大家供大家参考.具体实现方法如下: 一般来说,清除缓存我们只需要设置页面为no-cache就可以了,当然像asp,php这种只需要设置Expires操作即可,具体如下. HTML网页: 复制代码 代码如下: &lt;META HTTP-EQUIV=&quot;pragma&quot; CONTENT=&quot;no-cache&quot;&gt; &lt;META HTTP-EQUIV=&quot;Cache-Control&quot; CONTENT=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bjQ7Rnz.html" rel="bookmark">JSCode all of Brower 全局屏蔽网页右键功能 具体实现&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				[javascript] 复制代码 代码如下: &lt;script type=&quot;text/javascript&quot;&gt; function clickIE4(){         if (event.button==2){                 return false;         } } function clickNS4(e){         if (document.layers||document.getElementById&amp;&amp;!docum			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QOP7p.html" rel="bookmark">使用JavaScript解决网页图片拉伸问题&lpar;推荐&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 这段时间在做PM的需求的时候突然发现一个问题,产品上的图片来自多个第三方,具体的尺寸无法确定,如果直接在样式中写死图片的尺寸大小就会出现图片拉伸的现象,十分影响产品的美观,因此希望可以找到一个比较好的解决方案.自己先做了一个简单的demo来展示问题. &lt;html&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;text/html; charset=UTF-8&quot;&gt; &lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKqyRz.html" rel="bookmark">Bootstrap每天必学之按钮&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.按钮(按钮组) 单个按钮在Web页面中的运用有时候并不能满足我们的业务需求,常常会看到将多个按钮组合在一起使用,比如富文本编辑器里的一组小图标按钮等.那么在这一节中,我们主要向大家介绍Bootstrap框架为大家提供的按钮组组件. 源码查询: 按钮组也是一个独立的组件,所以可以找到对应的源码文件: LESS版本:对应的源文件为buttons.less Sass版本:对应的源文件为_buttons.scss CSS版本:对应bootstrap.css文件第3131行-第3291行 使用方法:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOR04b.html" rel="bookmark">js简单实现调整网页字体大小的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js简单实现调整网页字体大小的方法.分享给大家供大家参考,具体如下: //var tgs = new Array('div','td','tr'); var tgs = new Array('td','tr'); //Specify spectrum of different font sizes: //var szs = new Array( 'xx-small','x-small','small','medium','large','x-large','xx-large' );			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj2OWb.html" rel="bookmark" class="title">HTML5 History API实现无刷新跳转</a>
					<div>
						 在HTML5中, 1. 新增了通过JS在浏览器历史记录中添加项目的功能.       2. 在不刷新页面的前提下显示改变浏览器地址栏中的URL.       3. 添加了当用户单击浏览器的后退按钮时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4kdPp.html" rel="bookmark" class="title">在Windows系统下搭建SVN服务器</a>
					<div>
						通常的SVN服务器是搭建在Linux等系统下,例如用Apache+SVN配置,Linux下的SVN性能会非常好,但配置有些繁琐,如果SVN服务器只有自己使用,那么可以直接把SVN服务器搭建在个人Win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bo0egM.html" rel="bookmark" class="title">dz论坛asp&period;net版配置伪静态的方法</a>
					<div>
						为了增强Url友好性,方便搜索引擎的收录,现在很多用户都希望将较长的Url带参数程序地址变成较短的程序或静态网页Url地址,例如: 将show.aspx?id=3&amp;page=4 变为show- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlnNLz.html" rel="bookmark" class="title">四个原则：让浏览者喜欢你的网站</a>
					<div>
						要想制作一个有吸引力的网站,除了有一个比较容易记忆的域名和与因特网有足够的带宽连接等条件外,还应遵循以下基本原则: 网站内容结构合理 对于一个网站来说,如何合理地组织自己要发布的信息内容,以便浏览者能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmnJ3z.html" rel="bookmark" class="title">撕页广告代码及简介</a>
					<div>
						广告 &lt;!--撕页开始--&gt;  &lt;script&gt;  &lt;!--//setTimeout(&quot;BigWinGecko_DoFSCommand()&quot;,0);v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMyAKZM.html" rel="bookmark" class="title">周鸿祎：用互联网的思路做安全</a>
					<div>
						网络安全正在成为面向互联网用户的基础服务,而所有互联网的基础服务都应该是免费的 360安全卫士的市场表现让我们有信心,安全成为互联网的基础服务 艾瑞咨询最新发布的&lt;2007中国个人网络安全研究报 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAwGLb.html" rel="bookmark" class="title">PHP&sol;MySQL三日通&lpar;3&rpar;</a>
					<div>
						一. while循环 在这一课里,我们将会继续深入下去,使用PHP和MySQL来写出一些简单而有用的页面.我们从昨天创建的数据库开始,显示库中的数据,但是会再稍微加以润色. 首先,我们用下面的代码来查 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2m3jM.html" rel="bookmark" class="title">MapInfo开发心得&mdash;&mdash;多地图关联篇</a>
					<div>
						多个窗体(MDI)同时展示,并相互操作这并不困难,小弟在这介绍一下由MapInfo中MapControl组成的多窗体关联处理. 首先看看效果: 开发心得--多地图关联篇-mapinfo二次开发&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLO4QkM.html" rel="bookmark" class="title">Photoshop CC常用快捷键</a>
					<div>
						Photoshop CC常用快捷键          1.工具箱 移动工具 [V] 矩形.椭圆选框工具 [M] 套索.多边形套索.磁性套索 [L] 快速选择工具.魔棒工具 [W] 裁剪.透视裁剪.切片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ann7p.html" rel="bookmark" class="title">WPS表格教程 设置需输入密码才能打开文件</a>
					<div>
						  文件保护设置具体操作步骤: 1.打开开始菜单中表格软件 2.新建一空白文档 3.新建出一空白文档. 4.选择开始菜单中选项 5.弹出选项设置界面 6.选择安全性 7.输入打开文件时的密码. 8.点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVw7PVb.html" rel="bookmark" class="title">在Linux下使用网络加速器netpas</a>
					<div>
						  对于在教育网内的同学来说,最大的痛苦就是教育网不能出国和访问公网速度 慢了(有钱买流量的不用看本文),所以通常有些需求的就必须购买像教育网 直通车之类的加速服务,当然还有另一种选择那就是花钱买专门 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL8mkb.html" rel="bookmark" class="title">如何彻底删除电脑中kankan文件夹</a>
					<div>
						  自从在Windows下升级了迅雷7,一启动就在D盘自动生成一个kankan的文件夹,他应该是迅雷看看用来缓存视频用的,试着删了,但每次启动迅雷7都会自动生成,实在觉得不爽. 小子经过一番搜索,了解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdAk6M.html" rel="bookmark" class="title">torrent是什么文件</a>
					<div>
						  torrent文件就是被下载文件的&quot;索引&quot;. 如果大家注意到的话,些电影下载的文件的后是.torrent,也就是我们说的torrent文件,下载者要下载文件内容,需要先得到相应 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKwWoM.html" rel="bookmark" class="title">ie 权限-用js调用OCX&comma;在IE上打开报&OpenCurlyDoubleQuote;您想使用那个用户账户&rdquo;</a>
					<div>
						问题描述 用js调用OCX,在IE上打开报&quot;您想使用那个用户账户&quot; 用js调用OCX,在IE上打开报&quot;您想使用那个用户账户&quot;, 每次打开加载OCX的界面都会报这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAwLnM.html" rel="bookmark" class="title">移动互联网产品设计的原则</a>
					<div>
						一.移动互联网产品经理的素养 敏锐感知潮流变化.移动互联网产品会从相对匮乏时代进入相对富足时代,用户可以选择的产品会随时日流逝而日渐增加,产品终将成为一种时尚业.产品经理若是沉溺于各种新鲜玩意儿之中, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NdBmz.html" rel="bookmark" class="title">【资料整理】Open Source software construction tool</a>
					<div>
						[SCons] What is SCons? SCons is an Open Source software construction tool-that is, a next-generation ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjQNvZz.html" rel="bookmark" class="title">硅谷IT企业工作环境让我等侧目</a>
					<div>
						大家都有听过http://www.aliyun.com/zixun/aggregation/12811.html&quot;&gt;硅谷IT企业的良好福利,例如Google工程师20%的自由项目时间, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZN2db.html" rel="bookmark" class="title">查看Linux系统的其他参数</a>
					<div>
						1.用vmstat来监控Linux系统的整体性能 vmstat是一个相当全面的性能分析工具,可以用来观察系统的进程状态.内存使用情况.虚拟内存的使用情况.磁盘的I/O.中断.上下文切换.CPU的使用情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw3Nrp.html" rel="bookmark" class="title">2010-Framework and References引用Dll库</a>
					<div>
						问题描述 Framework and References引用Dll库 使用VisualStudio2010开发平台,关于MFC Dll的引用问题,工程属性中有两种方法都可以把 Dll库引用进来,分别 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNjLqWM.html" rel="bookmark" class="title">用UWP实现一个和win10设置页面类似的布局</a>
					<div>
						原文:用UWP实现一个和win10设置页面类似的布局 不知道有人注意过Win10中的设置页面的布局没?那个页面会根据不同的窗口宽度来调节显示的内容,甚至来后退按钮的操作在不同的宽度也是不同的,看图:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M949jKb.html" rel="bookmark" class="title">Subversion与TortoiseSVN的安装</a>
					<div>
						原文:Subversion与TortoiseSVN的安装 首先介绍一下Subversion与TortoiseSVN两者之间的关系: Subversion是一种集中分享信息的系统,它的核心是版本库,储存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLy2Np.html" rel="bookmark" class="title">Real Time Clock &lpar;RTC&rpar; Drivers for Linux</a>
					<div>
						/*将这篇英文原文的RTC放于此,方便阅读和后续的翻译,仅学习使用!*/  Real Time Clock  (RTC) Drivers for Linux   =================== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0d6RM.html" rel="bookmark" class="title">php 服务器整数&comma;浮点&comma;数据IO能力测试函数</a>
					<div>
						 代码如下 复制代码     function test_int()     {         $timeStart = gettimeofday();         for($i = 0; $i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwKQ8M.html" rel="bookmark" class="title">csharp&colon;Google TTS API text to speech</a>
					<div>
						using System; using System.Collections.Generic; using System.ComponentModel; using System.Data; usin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkPZAM.html" rel="bookmark" class="title">VS安装SVN插件之后启动报异常</a>
					<div>
						问题描述 异常如图.请问应该如何解决 解决方案 解决方案二:是不是版本不兼容.解决方案三:引用1楼lye2000000_super的回复: 是不是版本不兼容. 不是这个问题.公司的电脑装的就是vs20 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7OwOz.html" rel="bookmark" class="title">Google浏览器中的开发工具&period;</a>
					<div>
						惯例 我是温浩然: google浏览器,按下F12后,出现开发控制台. 下面有这么几栏,elements,network,sources,timeline ,profiles,resources,au ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60Qdyz.html" rel="bookmark" class="title">sqlserver性能调优方法论</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye7yJM.html" rel="bookmark" class="title">basic vxworks task 优先级问题</a>
					<div>
						问题描述 basic vxworks task 优先级问题 我们常用的底层任务,比如tlogtask,tnettask,twdbtask等任务,优先级除了用变更优先级函数,有什么其他方法设置吗? 解决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNnB1yM.html" rel="bookmark" class="title">请教一个弹出窗口的问题</a>
					<div>
						问题描述 我这里有一个比较好的弹出窗口的代码,类似新浪博客里的弹出窗口效果,现在我想24小时只弹出一次该窗口,请问如何实现?下面是主html页面的代码:&lt;htmlxmlns=&quot;http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1DKGb.html" rel="bookmark" class="title">电脑硬件分析Ultimate Boot CD v4&period;1&period;1 下载&lowbar;常用工具</a>
					<div>
						Ultimate Boot CD是一款可以引导系统的电脑硬件分析.检测.维护工具合集的光盘镜像文件.提供硬盘分析.管理.内存管理.基于Linux的系统恢复.杀毒.硬件检测.NTFS分区读取.PC启动引 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
